Kerbal Space Program - Bug #18500

DSN stations explode vessels/Kerbals on them after switching to map mode
04/10/2018 01:25 PM - GeneCash

Status: Investigating Start date: 04/10/2018
Severity: Low % Done: 20%
Assignee:

Category: Buildings

Target version:

Version: 1.4.2 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

If you land a vessel or Kerbal on the dish or base of a DSN station, switch to map mode, then switch back, the Kerbal or vessel
explodes with a message like "Jeb Kerman collided with Base01"

To reproduce with stock game (no mods), use the mission editor to spawn a vehicle at one of the coordinates below.

Location (Latitude, Longitude)

Harvester Massif (-11.9500, 33.7403)

Nye Island (5.3597, 108.5497)

North Station One (63.0950, -90.0797)

Mesa South tracking station (-59.5900, -25.8697)

Switch to map mode, then switch back.

Using the mission editor, | spawned Jeb in a Mk1 capsule and it spawned in the actual dish. | EVAed Jeb so he was hanging outside,
switched to map, switched back, and the capsule exploded. Jeb fell through the dish and ragdolled on the base. | stood him up and
switched to map and back, and he exploded into a puff of Kerbal dust.

| spawned a rover just off the base, and rolled so it was touching. This was enough to cause the explosion after map mode.

| also used HyperEdit to "land" a vessel, and this is how | got the end-of-mission "Jeb Kerman collided with Base01"

History

#1 - 04/10/2018 01:43 PM - GeneCash
Missed: Crater Rim (9.4500, -172.1103) which is what | used. It's in sunlight at mission start.

#2 - 04/29/2018 01:27 PM - klesh
- Platform Windows added

Just tried in 1.4.3 and got the same results spawning a Mk1 capsure and a Kerbal atop the DSN base. Spawns fine, but going to map and back
sometimes results in explosion of the craft and falling inside the radar dish building, sometimes results in capsule sitting still and kerbal being flung up
in the air several meters. Added Windows as a platform as well.

#4 - 06/27/2018 02:44 PM - bewing
- Status changed from New to Investigating

- % Done changed from 0 to 20
